package com.unis.base.server.dao;

import com.unis.base.server.entity.TyTfzyxxDO;
import com.unis.base.server.example.TyTfzyxxExample;
import tk.mybatis.mapper.common.Mapper;
import java.util.Map;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

/**
 * 通风作业信息
 * @author duanyh
 *
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface TyTfzyxxDao extends Mapper<TyTfzyxxDO> {
    int countByExample(TyTfzyxxExample example);
    int insert(TyTfzyxxDO record);

    int insertSelective(TyTfzyxxDO record);
    TyTfzyxxDO selectByKey(String tfzyid);

    int updateByPrimaryKey(TyTfzyxxDO record);

	/**
	 * @param updateMap
	 * @return
	 */
	int ventilationOperationStatus(Map<String, Object> updateMap);
}